TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HermiteForm ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Al | string |  | "LLL" or "Sort"
Optimize | elt-alg^boo |  |
Integral | elt-alg^boo |  |

### Description

<shortdoc> The (row) hermite form E of the matrix X over a Euclidean Domain, together with an invertible transformation matrix T such that E = T * X. </shortdoc>

### Examples

x_M:= Matrix(Z,3,3,[3,2,1,2,5,3,1,0,0]); HermiteForm(x_M);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack